import pytest
import requests

from fin_depo import defi_kraken

from . import secrets

needs_secrets = pytest.mark.skipif(
    not secrets.KRAKEN_KEY,
    reason='Secret kraken_USERNAME required',
)


@needs_secrets
def test_get_depo():
    session = requests.Session()
    fetcher = defi_kraken.KrakenDepoFetcher(
        secrets.KRAKEN_KEY,
        secrets.KRAKEN_SECRET,
    )

    depo = fetcher.get_depo()
    assert depo is not None
